For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCopy file
      • POSTCreate file
      • POSTCreate file (local upload)
      • POSTCreate file (remote upload)
      • DELDelete file
      • POSTImport file
      • GETList files
      • PATCHMove file
      • GETShow file
      • GETShow file upload status
      • PATCHUpdate file

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceFiles

Create file (local upload)

POST
https://api.frame.io/v4/accounts/:account_id/folders/:folder_id/files/local_upload
POST
/v4/accounts/:account_id/folders/:folder_id/files/local_upload
1from frameio import Frameio
2from frameio.files import FileCreateLocalUploadParamsData
3
4client = Frameio(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.files.create_local_upload(
9 account_id="662bb719-ffe6-4373-9174-a38558c8cb6f",
10 folder_id="d4589f5d-3881-410b-9a9a-42bdb9bb51a6",
11 data=FileCreateLocalUploadParamsData(
12 file_size=1137444,
13 name="asset.png",
14 ),
15)
1{
2 "data": {
3 "file_size": 1137444,
4 "media_type": "image/png",
5 "status": "created",
6 "id": "6a2b33f7-0ba5-412c-b510-124dd112dd45",
7 "name": "asset.png",
8 "upload_urls": [
9 {
10 "size": 20000000,
11 "url": "https://my.fileupload.url.dev"
12 }
13 ],
14 "created_at": "2023-09-25T19:18:29.614189Z",
15 "parent_id": "827a6d10-1a65-4ec5-87da-a6f3d61b5aff",
16 "project_id": "5c1d9036-8def-46fc-bced-1dba86114d48",
17 "type": "file",
18 "updated_at": "2024-02-07T16:44:41.986478Z",
19 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c"
20 }
21}

Create new file under parent folder through local upload.
Rate Limits: 5 calls per 1 second(s) per account_user

Was this page helpful?
Previous

Create file (remote upload)

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
folder_idstringRequiredformat: "uuid"
A UUID String

Request

Request body
dataobjectRequired

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

Created
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error